packaging(RHEL-CTDB): adapt configure.rpm to changes to the spec file
authorMichael Adam <obnox@samba.org>
Thu, 18 Sep 2008 03:02:14 +0000 (05:02 +0200)
committerMichael Adam <obnox@samba.org>
Wed, 10 Dec 2008 22:27:57 +0000 (23:27 +0100)
Michael
(cherry picked from commit d249a9ca2a1761f20655cbcfe39fbc942547974d)

Signed-off-by: Michael Adam <obnox@samba.org>
packaging/RHEL-CTDB/configure.rpm

index 75960402053b6865dfc545f07527aa42b6c334eb..444d3e2a8c8dea225c1394b0fcb491fa51793975 100755 (executable)
@@ -1,34 +1,53 @@
+#!/bin/sh
 
 case `uname -m` in
-     x86_64)
-       libdir=/usr/lib64/samba
-       ;;
-     *)
-       libdir=/usr/lib/samba
-       ;;
+       x86_64)
+               _libarch=lib64
+               ;;
+       *)
+               _libarch=lib
+               ;;
 esac
 
-CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
-        --prefix=/usr \
-        --localstatedir=/var \
-        --with-configdir=/etc/samba \
-        --with-libdir=$libdir \
-        --with-lockdir=/var/lib/samba \
-        --with-logfilebase=/var/log/samba \
-        --with-mandir=/usr/man \
-        --with-piddir=/var/run \
-        --with-privatedir=/etc/samba \
-        --with-sambabook=/usr/share/swat/using_samba \
-        --with-swatdir=/usr/share/swat \
+_libarchdir=/usr/${_libarch}
+
+_prefix=/usr
+_sysconfdir=/etc
+_mandir=/usr/man
+_datadir=/usr/share
+
+# check for ccache
+ccache -h 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+       CC="ccache gcc"
+else
+       CC="gcc"
+fi
+
+./autogen.sh
+
+CC="$CC" CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure -C \
+       --prefix=${_prefix} \
+       --localstatedir=/var \
+       --with-configdir=${_sysconfdir}/samba \
+       --with-libdir=${_libarchdir}/samba \
+       --with-pammodulesdir=/${_libarch}/security \
+       --with-lockdir=/var/lib/samba \
+       --with-logfilebase=/var/log/samba \
+       --with-mandir=${_mandir} \
+       --with-piddir=/var/run \
+       --with-privatedir=${_sysconfdir}/samba \
+       --with-sambabook=${_datadir}/swat/using_samba \
+       --with-swatdir=${_datadir}/swat \
        --disable-cups \
-        --with-acl-support \
+       --with-acl-support \
        --with-ads \
-        --with-automount \
-        --with-fhs \
+       --with-automount \
+       --with-fhs \
        --with-pam_smbpass \
        --with-libsmbclient \
        --with-libsmbsharemodes \
-        --without-smbwrapper \
+       --without-smbwrapper \
        --with-pam \
        --with-quotas \
        --with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2 \
@@ -40,3 +59,6 @@ CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
        --without-dnsupdate \
        --with-aio-support \
        $*
+
+make showlayout
+